RAUL 0.8.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions
Raul::LogBuffer Class Reference
Realtime Audio Utility Library

Buffer for (possibly coloured) log printing. More...

`#include <log.hpp>`

List of all members.

## Public Types

enum | Colour { DEFAULT = 0, RED = 31, GREEN, YELLOW, BLUE, MAGENTA, CYAN, WHITE }

## Public Member Functions

| LogBuffer (const char *prefix="", Colour colour=DEFAULT)
std::string | colour (Colour c)
| Change the colour of the output, e.g.
std::string | plain ()
| Reset the colour of the output, e.g.

## Protected Member Functions

int_type | overflow (int_type c)
int | sync ()

## Detailed Description

Buffer for (possibly coloured) log printing.

## Member Function Documentation

std::string Raul::LogBuffer::colour | ( | Colour | c | ) |

Change the colour of the output, e.g.

out << colour(RED) << "red" << endl;

std::string Raul::LogBuffer::plain | ( |  | ) |

Reset the colour of the output, e.g.

out << plain() << "plain" << endl;

The documentation for this class was generated from the following files:

- log.hpp
- log.cpp